Bug 635223 - pymssql - multi-result statements bug
Summary: pymssql - multi-result statements bug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pymssql
Version: 13
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Ray Van Dolson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-18 08:37 UTC by Jose Pedro Oliveira
Modified: 2010-11-05 17:17 UTC (History)
1 user (show)

Fixed In Version: pymssql-1.0.2-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-29 20:43:16 UTC


Attachments (Terms of Use)
Patch to fix the problem (already upstream) (1.23 KB, application/octet-stream)
2010-09-18 08:37 UTC, Jose Pedro Oliveira
no flags Details

Description Jose Pedro Oliveira 2010-09-18 08:37:03 UTC
Created attachment 448174 [details]
Patch to fix the problem (already upstream)

Description of problem:
pymssql doesn't navigate correctly through several result-sets.

Version-Release number of selected component (if applicable):
1.0.2-1.{fc12,fc13,el5} and 1.0.2-2.fc14

How reproducible:
Always

Steps to Reproduce:
Small example that exposes the bug:
----------
import pymssql
connection = pymssql.connect(host='somemachine', user='someuser', password='somepass', database='somedb')
cursor = connection.cursor()
ret = cursor.execute("select 1; select 2;")
r = cursor.nextset()
print r
r = cursor.nextset()
print r
r = cursor.nextset()
print r
----------
  
Actual results:
----------
1
1
1
----------

Expected results:
----------
1
None
None
----------

Additional info:
The solution for this problem is already upstream and can be view/downloaded from the old project page (sourceforge). I also attached the patch to this ticket.

 * Web interface: http://pymssql.cvs.sourceforge.net/viewvc/pymssql/
 * Patch: http://pymssql.cvs.sourceforge.net/viewvc/pymssql/pymssql/mssqldbmodule.c?r1=1.40&r2=1.41&view=patch

Comment 1 Jose Pedro Oliveira 2010-10-08 18:03:58 UTC
ping

Comment 2 Ray Van Dolson 2010-10-08 18:07:15 UTC
Will take a look at this shortly.

Comment 3 Jose Pedro Oliveira 2010-10-08 18:19:43 UTC
(In reply to comment #2)
> Will take a look at this shortly.

Thanks.

BTW: this problem is also reported upstream (http://code.google.com/p/pymssql/issues/detail?id=20) with a request for a version 1.0.3 containing the changes they have in Sourceforge's CVS/Bzr (where this patch already resides). Note: the future 2.0 version is now hosted in Google Code.

Comment 4 Fedora Update System 2010-10-17 19:28:49 UTC
pymssql-1.0.2-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pymssql-1.0.2-3.fc13

Comment 5 Ray Van Dolson 2010-10-17 19:35:46 UTC
Please test via updates-testing as soon as it's ready or via koji pkg[1].  Hopefully this does the trick.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=2539485

Comment 6 Fedora Update System 2010-10-17 19:39:05 UTC
pymssql-1.0.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pymssql-1.0.2-3.fc14

Comment 7 Fedora Update System 2010-10-17 19:39:58 UTC
pymssql-1.0.2-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/pymssql-1.0.2-2.fc12

Comment 8 Fedora Update System 2010-10-17 19:40:33 UTC
pymssql-1.0.2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pymssql-1.0.2-2.el5

Comment 9 Fedora Update System 2010-10-19 07:13:32 UTC
pymssql-1.0.2-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pymssql'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pymssql-1.0.2-3.fc13

Comment 10 Jose Pedro Oliveira 2010-10-20 18:29:17 UTC
(In reply to comment #5)
> Please test via updates-testing as soon as it's ready or via koji pkg[1]. 
> Hopefully this does the trick.
> 
> [1] http://koji.fedoraproject.org/koji/taskinfo?taskID=2539485

Ray,

I successfully tested the new packages in all systems I had access to - Fedora 12, 13, and EPEL5. I also increased their respective karma in https://admin.fedoraproject.org/updates/.

Regards,
jpo

Comment 11 Fedora Update System 2010-10-29 20:38:02 UTC
pymssql-1.0.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-10-29 20:40:23 UTC
pymssql-1.0.2-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-10-29 20:43:11 UTC
pymssql-1.0.2-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-11-05 17:17:20 UTC
pymssql-1.0.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.